Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class EvaluateAdvantageOfTFIDFTransformation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.EvaluateAdvantageOfTFIDFTransformation

public class EvaluateAdvantageOfTFIDFTransformation
extends ExecutableOperator

Version:
  $Id: EvaluateAdvantageOfTFIDFTransformation.java,v 1.6 2006/04/11 14:10:12 euler Exp $
Author:
  Hanna Koepcke

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`EvaluateAdvantageOfTFIDFTransformation()`

Method Summary
`void` | `compileStatement()` Abstract method for compiling the generated sql-statement.
`void` | `createStatement(boolean lazy)` Abstract method for generating an sql-statement.
`EstimatedStatistics` | `estimateStatistics(Step theStep)` Abstract method for estimating statistics for a concept.
`Concept` | `getInputConcept()` Gets the input Concept.
`BaseAttribute` | `getTheKey()` Parameter getter.
`protected Feature[]` | `getTheSelectedAttributes()` Getter method for the parameter "TheSelectedAttributes".
`BaseAttribute` | `getTheTimeStamp()` Parameter getter.
`void` | `writeResults()`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluateAdvantageOfTFIDFTransformation

    public EvaluateAdvantageOfTFIDFTransformation()

Method Detail

### createStatement

    public void createStatement(boolean lazy)
                         throws java.sql.SQLException,
                                M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for generating an sql-statement. This method handles the process of generating an sql-statement for an operator. The implementation is done individually by every operator.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`

### estimateStatistics

    public EstimatedStatistics estimateStatistics(Step theStep)
                                           throws M4Exception

  Description copied from class: `ExecutableOperator`
  Abstract method for estimating statistics for a concept. The realisation of this method depends on the type of operator that is connected to the step that creates the concept whose statistics are to be estimated. Therefore the implementation is done in this class and its subclasses.

  Specified by:
    `estimateStatistics` in class `ExecutableOperator`
  Parameters:
    `theStep` - the step that creates the output concept whose statistics are to be estimated
  Returns:
    an `EstimatedStatistics` object, some of whose values may or may not be available, depending on whether they could be guessed or inferred.
  Throws:
    `M4Exception`
  See Also:
    `ExecutableOperator.estimateStatistics(Step)`

### compileStatement

    public void compileStatement()
                          throws java.sql.SQLException,
                                 M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for compiling the generated sql-statement. This method tests if the generated sql-statement is executable in the database. The implementation is done individually by every operator.

  Specified by:
    `compileStatement` in class `ExecutableOperator`
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `ExecutableOperator.compileStatement()`

### writeResults

    public void writeResults()
                      throws java.sql.SQLException,
                             M4CompilerError

  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.operator.ExecutableOperator#writeResults()`

### getInputConcept

    public Concept getInputConcept()
                            throws M4CompilerError

  Gets the input Concept.

  Returns:
    Returns a Concept
  Throws:
    `M4CompilerError`

### getTheTimeStamp

    public BaseAttribute getTheTimeStamp()
                                  throws M4CompilerError

  Parameter getter.

  Throws:
    `M4CompilerError`

### getTheKey

    public BaseAttribute getTheKey()
                            throws M4CompilerError

  Parameter getter.

  Throws:
    `M4CompilerError`

### getTheSelectedAttributes

    protected Feature[] getTheSelectedAttributes()
                                          throws M4CompilerError

  Getter method for the parameter "TheSelectedAttributes". This parameter specifies the set of features for which TFIDF should be computed.

  Returns:
    an array of Feature objects
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005